Deployments.ai Docs
Brains

Permanently erase a Brain and its derived data

POST /v1/brains/{brainId}/erasures · SDK eraseBrain · CLI deployments brain-erasure create

POST
/v1/brains/{brainId}/erasures

Requires brains:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
expectedVersion*integer
Range0 <= value

Response Body

BrainErasureResponse

application/json
  1. response
brainId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
completedAt?string
contentVerificationCount*integer
Range0 <= value
createdAt*string
erasureGeneration*integer
Range0 <= value
error?string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
recordsDeleted?integer
Range0 <= value
searchReceipt?
startedAt?string
status*string
Value in"completed""failed""pending""running"
updatedAt*string
version*integer
Range0 <= value
curl -X POST "https://example.com/v1/brains/string/erasures" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "expectedVersion": 0  }'
{  "brainId": "string",  "completedAt": "string",  "contentVerificationCount": 0,  "createdAt": "string",  "erasureGeneration": 0,  "error": "string",  "id": "string",  "organizationId": "string",  "recordsDeleted": 0,  "searchReceipt": {},  "startedAt": "string",  "status": "completed",  "updatedAt": "string",  "version": 0}